Edit a view
Needs: Prospects, Read-write
Changes a saved prospect view. Send only what changes.
Important: Saved view ids are text (UUIDs), but the
{id}in this path only matches digits. To change a view, sendPOST /prospect-viewswith the view'sidin the body instead.
curl -X PATCH "https://app.imploy.com.au/api/integrations/v1/prospect-views/123" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"name": "Hot leads"
}'
import requests
import json
url = "https://app.imploy.com.au/api/integrations/v1/prospect-views/123"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"name": "Hot leads"
}
response = requests.patch(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://app.imploy.com.au/api/integrations/v1/prospect-views/123", {
method: "PATCH",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"name": "Hot leads"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"name": "Hot leads"
}`)
req, err := http.NewRequest("PATCH", "https://app.imploy.com.au/api/integrations/v1/prospect-views/123", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://app.imploy.com.au/api/integrations/v1/prospect-views/123')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"name": "Hot leads"
}'
response = http.request(request)
puts response.body
{
"updated": "1",
"name": "Hot leads"
}
{
"message": "Invalid or expired access token."
}
{
"message": "Access token does not permit this action."
}
{
"message": "Too many requests."
}
/prospect-views/{id}Target server for requests. Edit to use your own host.
An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
imp_at_. Send it as Authorization: Bearer imp_at_XXXX.The view id.
The media type of the request body
The view name (up to 80 characters).
One emoji. Empty for the default icon.
all (table) or kanban.
Kanban columns: stage, consultant, fundingType or source.
Replaces the filters. Each needs field and operator, plus value and an optional combinator (and or or). Fields: prospect_name, prospect_email, prospect_phone, prospect_suburb, prospect_stage, prospect_source, prospect_consultant, prospect_funding_type, prospect_date_of_lead, or custom:prospect: plus an attribute key. Operators: contains, does_not_contain, starts_with, ends_with, is, is_not, empty or not_empty.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
Path Parameters
The view id.
Body
The view name (up to 80 characters).
One emoji. Empty for the default icon.
all (table) or kanban.
Kanban columns: stage, consultant, fundingType or source.
Replaces the filters. Each needs field and operator, plus value and an optional combinator (and or or). Fields: prospect_name, prospect_email, prospect_phone, prospect_suburb, prospect_stage, prospect_source, prospect_consultant, prospect_funding_type, prospect_date_of_lead, or custom:prospect: plus an attribute key. Operators: contains, does_not_contain, starts_with, ends_with, is, is_not, empty or not_empty.
Responses
OK